HFST-SPLIT(1)

NAME
hfst-split - =Extract transducers from archive with systematic file names

SYNOPSIS
hfst-split [OPTIONS...] [INFILE]

DESCRIPTION
Extract transducers from archive with systematic file names

  Common options:

-h, --help
    Print help message

-V, --version
    Print version info

-v, --verbose
    Print verbosely while processing

-q, --quiet
    Only print fatal erros and requested output

-s, --silent
    Alias of --quiet

  Input/Output options:

-i, --input=INFILE
    Read input transducer from INFILE

-p, --prefix=PRE
    Use the prefix PRE in naming output files

-e, --extension=EXT
    Use the extension EXT in naming output files

If INFILE is omitted or -, stdin is used. If PRE is omitted, no prefix is used. If EXT is omitted, .hfst is used. The extracted files are named "PRE" + N + "EXT", where N is the number of the transducer in the archive.

  An example:

    cat transducer_a transducer_b | hfst-split -p "rule" -e ".tr"

This command creates files "rule1.tr" (equivalent to transducer_a) and "rule2.tr" (equivalent to transducer_b).

REPORTING BUGS
Report bugs to <hfst-bugs@helsinki.fi> or directly to our bug tracker at: <https://github.com/hfst/hfst/issues>

hfst-split home page: <https://kitwiki.csc.fi/twiki/bin/view/KitWiki//HfstSplit>
General help using HFST software: <https://kitwiki.csc.fi/twiki/bin/view/KitWiki//HfstHome>

COPYRIGHT
Copyright © 2017 University of Helsinki, License GPLv3: GNU GPL version 3 <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.